# Register our skins directory - this makes it available via portal_skins.

from Products.CMFPlone.interfaces import IPloneSiteRoot
from Products.GenericSetup import profile_registry
from Products.GenericSetup import BASE, EXTENSION

from Products.CMFCore.DirectoryView import registerDirectory

GLOBALS = globals()
registerDirectory('skins', GLOBALS)

# Registro profilo GenericSetup di ItalianSkin
profile_registry.registerProfile('default',
                                 'ItalianSkin install',
                                 'Extension profile for ItalianSkin',
                                 'profiles/default',
                                 'ItalianSkin',
                                 EXTENSION,
                                 for_=IPloneSiteRoot)
profile_registry.registerProfile('uninstall',
                                 'ItalianSkin uninstall',
                                 'Extension uninstall profile for ItalianSkin',
                                 'profiles/uninstall',
                                 'ItalianSkin',
                                 EXTENSION,
                                 for_=IPloneSiteRoot)

